Name:           fig
Version:        0.5.2
Release:        1%{?dist}
Summary:        Punctual, lightweight development environments using Docker

License:        ASL 2.0
URL:            http://www.fig.sh
Source0:        https://pypi.python.org/packages/source/f/%{name}/%{name}-%{version}.tar.gz

# to get tests:
# git clone https://github.com/docker/fig && cd fig
# git checkout 0.5.2 && tar -czvf fig-0.5.2-tests.tar.gz tests/
#Source1:        fig-0.5.2-tests.tar.gz

Patch0:         fedora-requirements.patch
Patch1:         unbundle.patch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools 
BuildRequires:  python-dockerpty
BuildRequires:  python-docker-py
BuildRequires:  docker-io
BuildRequires:  python-websocket-client
BuildRequires:  python-texttable
BuildRequires:  python-requests
BuildRequires:  PyYAML
BuildRequires:  python-docopt

Requires:       python-dockerpty
Requires:       python-texttable
Requires:       python-docopt
Requires:       python-requests
Requires:       python-websocket-client
Requires:       PyYAML

# require the docker binary due to docker vs docker-io package name difference
# between Fedora and RHEL7/CentOS7
Requires:       %{_bindir}/docker

# Build only for architectures that docker functions on since this is a hard
# requirement for fig and at this time, only x86_64 is supported by docker
# upstream (docker.io)
ExclusiveArch:  x86_64

%description
Punctual, lightweight development environments using Docker

Fig allows you to:
  - Define your app's environment with Docker so it can be reproduced anywhere.
  - Define the services that make up your app so they can be run together in an
    isolated environment.
  - Run 'fig up', and Fig will start and run your entire app.

%prep
%setup -q 

%patch0 -p0
%patch1 -p1

rm -r %{name}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Currently not running tests here as they require Docker to be running.
# The test suite passes on my machine, however.
#%check
#%{__python2} setup.py test

%files
%doc CHANGES.md CONTRIBUTING.md README.md LICENSE 
%{_bindir}/%{name}
%{python2_sitelib}/%{name}*

%changelog
* Thu Oct 09 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.5.2-1
- Initial spec based on rhbz#1129889
